OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
ClosestPointDist< Index32LeafT > Class Template Reference

`#include <VolumeToSpheres.h>`

## Public Types
using | IndexRange = std::pair< size_t, size_t >

## Public Member Functions
| ClosestPointDist (std::vector< Vec3R > &instancePoints, std::vector< float > &instanceDistances, const PointList &surfacePointList, const std::vector< const Index32LeafT *> &leafNodes, const std::vector< IndexRange > &leafRanges, const std::vector< Vec4R > &leafBoundingSpheres, const std::vector< Vec4R > &nodeBoundingSpheres, size_t maxNodeLeafs, bool transformPoints=false)
void | run (bool threaded=true)
void | operator() (const tbb::blocked_range< size_t > &) const

## Member Typedef Documentation

## ◆ IndexRange

using IndexRange = std::pair<size_t, size_t>

## Constructor & Destructor Documentation

## ◆ ClosestPointDist()

ClosestPointDist | ( | std::vector< Vec3R > & | instancePoints,
|  | std::vector< float > & | instanceDistances,
|  | const PointList & | surfacePointList,
|  | const std::vector< const Index32LeafT *> & | leafNodes,
|  | const std::vector< IndexRange > & | leafRanges,
|  | const std::vector< Vec4R > & | leafBoundingSpheres,
|  | const std::vector< Vec4R > & | nodeBoundingSpheres,
|  | size_t | maxNodeLeafs,
|  | bool | transformPoints = `false`
| ) |  |

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const

## ◆ run()

void run | ( | bool | threaded = `true` | ) |

The documentation for this class was generated from the following file:

- VolumeToSpheres.h